Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.component.html.ext
Class HtmlMessage

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIMessage
                  javax.faces.component.html.HtmlMessage
                      org.apache.myfaces.component.html.ext.HtmlMessage

All Implemented Interfaces:
  javax.faces.component.StateHolder, UserRoleAware

public class HtmlMessage
extends javax.faces.component.html.HtmlMessage
implements UserRoleAware

Version:
  $Revision: 169646 $ $Date: 2005-05-11 11:34:57 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIMessage
`COMPONENT_FAMILY`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Constructor Summary
`HtmlMessage()`

Method Summary
`java.lang.String` | `getClientId(javax.faces.context.FacesContext context)`
`java.lang.String` | `getDetailFormat()`
`java.lang.String` | `getEnabledOnUserRole()`
`java.lang.String` | `getSummaryFormat()`
`java.lang.String` | `getVisibleOnUserRole()`
`boolean` | `isRendered()`
`boolean` | `isReplaceIdWithLabel()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setDetailFormat(java.lang.String detailFormat)`
`void` | `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` | `setReplaceIdWithLabel(boolean replaceIdWithLabel)`
`void` | `setSummaryFormat(java.lang.String summaryFormat)`
`void` | `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class javax.faces.component.html.HtmlMessage
`getErrorClass, getErrorStyle, getFatalClass, getFatalStyle, getInfoClass, getInfoStyle, getStyle, getStyleClass, getTitle, getWarnClass, getWarnStyle, isTooltip, setErrorClass, setErrorStyle, setFatalClass, setFatalStyle, setInfoClass, setInfoStyle, setStyle, setStyleClass, setTitle, setTooltip, setWarnClass, setWarnStyle`

Methods inherited from class javax.faces.component.UIMessage
`getFamily, getFor, isShowDetail, isShowSummary, setFor, setShowDetail, setShowSummary`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlMessage

    public HtmlMessage()

Method Detail

### getClientId

    public java.lang.String getClientId(javax.faces.context.FacesContext context)

### setSummaryFormat

    public void setSummaryFormat(java.lang.String summaryFormat)

### getSummaryFormat

    public java.lang.String getSummaryFormat()

### setDetailFormat

    public void setDetailFormat(java.lang.String detailFormat)

### getDetailFormat

    public java.lang.String getDetailFormat()

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

  Specified by:
    `setEnabledOnUserRole` in interface `UserRoleAware`

### getEnabledOnUserRole

    public java.lang.String getEnabledOnUserRole()

  Specified by:
    `getEnabledOnUserRole` in interface `UserRoleAware`

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

  Specified by:
    `setVisibleOnUserRole` in interface `UserRoleAware`

### getVisibleOnUserRole

    public java.lang.String getVisibleOnUserRole()

  Specified by:
    `getVisibleOnUserRole` in interface `UserRoleAware`

### setReplaceIdWithLabel

    public void setReplaceIdWithLabel(boolean replaceIdWithLabel)

### isReplaceIdWithLabel

    public boolean isReplaceIdWithLabel()

### isRendered

    public boolean isRendered()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD